image: luxtorpeda/steam-runtime-amd64-beta:lux-190812-1

variables:
  GIT_SUBMODULE_STRATEGY: recursive

stages:
  - build
  - package
  - publish

Build:
  stage: build
  script: ./build.sh
  artifacts:
    paths:
    - 1700/
    expire_in: 1 day

Package:
  stage: package
  script: ./package.sh
  artifacts:
    paths:
    - 1700/dist.tar.xz
    expire_in: 1 week

pages:
  stage: publish
  script:
  - mkdir public
  - cp index.html public/
  - sed -i "s|%GIT_DESCRIPTION%|$(git submodule status source | cut -d' ' -f-2)|" public/index.html
  - sed -i "s|%DATE%|$(date)|" public/index.html
  - mv 1700/dist.tar.xz public/arxlibertatis-1700.tar.xz
  artifacts:
    paths:
    - public
  only:
  - master
